# WARNING: This package is synced with FC
%global apiversion 0.3
%define fname mwaw
%define major 3
%define libname %mklibname %{fname} %{apiversion} %{major}
%define develname %mklibname -d %{fname} %{apiversion}

Name: libmwaw
Version: 0.3.21
Release: %mkrel 1
Summary: A library for import of many old Mac document formats

Group: System/Libraries
License: LGPLv2+ or MPLv2.0
URL: https://sourceforge.net/projects/libmwaw/
Source: https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires: doxygen
BuildRequires: help2man
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)

%description
%{name} is a library for import of old Mac documents. It supports many
kinds of text documents, spreadsheets, databases, vector and bitmap
images. Supported are, for example, documents created by BeagleWorks,
ClarisWorks, MacPaint, MacWrite or Microsoft Word for Mac. A full list
of supported formats is available at
https://sourceforge.net/p/libmwaw/wiki/Home/ .

%package -n %{libname}
Summary: A library for import of many old Mac document formats
Group: System/Libraries
Obsoletes: %{_lib}mwaw3 < 0.3.9-2

%description -n %{libname}
%{name} is a library for import of old Mac documents. It supports many
kinds of text documents, spreadsheets, databases, vector and bitmap
images. Supported are, for example, documents created by BeagleWorks,
ClarisWorks, MacPaint, MacWrite or Microsoft Word for Mac. A full list
of supported formats is available at
https://sourceforge.net/p/libmwaw/wiki/Home/ .

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{fname}-devel lib%{fname}-devel
Obsoletes: %{_lib}mwaw-devel < 0.3.9-2

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform the supported formats into other formats
Group: Documentation

%description tools
Tools to transform the supported document formats into other formats.
Supported output formats are CSV, HTML, SVG, plain text and raw.

%prep
%autosetup -p1


%build
%configure --disable-static --disable-werror --disable-zip --enable-docs
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

export LD_LIBRARY_PATH=`pwd`/src/lib/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
help2man -N -n 'convert Mac spreadsheet into CSV' -o mwaw2csv.1 ./src/conv/csv/.libs/mwaw2csv
help2man -N -n 'debug the conversion library' -o mwaw2raw.1 ./src/conv/raw/.libs/mwaw2raw
help2man -N -n 'convert Mac text document into HTML' -o mwaw2html.1 ./src/conv/html/.libs/mwaw2html
help2man -N -n 'convert Mac drawing into SVG' -o mwaw2svg.1 ./src/conv/svg/.libs/mwaw2svg
help2man -N -n 'convert Mac text document into plain text' -o mwaw2text.1 ./src/conv/text/.libs/mwaw2text

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# it seems this tool is only useful on MacOS
rm -f %{buildroot}/%{_bindir}/mwawFile
# rhbz#1001297 we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 mwaw2*.1 %{buildroot}/%{_mandir}/man1

%files -n %{libname}
%doc CHANGES README
%license COPYING.*
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %{develname}
%doc HACKING
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.*
%doc docs/doxygen/html

%files tools
%{_bindir}/mwaw2csv
%{_bindir}/mwaw2html
%{_bindir}/mwaw2raw
%{_bindir}/mwaw2svg
%{_bindir}/mwaw2text
%{_mandir}/man1/mwaw2csv.1*
%{_mandir}/man1/mwaw2html.1*
%{_mandir}/man1/mwaw2raw.1*
%{_mandir}/man1/mwaw2svg.1*
%{_mandir}/man1/mwaw2text.1*


%changelog
* Tue Oct 25 2022 neoclust <neoclust> 0.3.21-1.mga8
+ Revision: 1899185
- New version 0.3.21

* Thu Sep 24 2020 tv <tv> 0.3.17-1.mga8
+ Revision: 1629796
- 0.3.17

* Sat Apr 18 2020 tv <tv> 0.3.16-1.mga8
+ Revision: 1569421
- 0.3.16
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 0.3.15-2.mga8
+ Revision: 1526043
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Apr 22 2019 tv <tv> 0.3.15-1.mga7
+ Revision: 1394750
- new release

* Sun Sep 23 2018 umeabot <umeabot> 0.3.14-2.mga7
+ Revision: 1299022
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 tv <tv> 0.3.14-1.mga7
+ Revision: 1251980
- new release
- adjust BRs

* Wed Feb 07 2018 tv <tv> 0.3.13-1.mga7
+ Revision: 1199458
- new release

* Mon Sep 11 2017 tv <tv> 0.3.12-1.mga7
+ Revision: 1152698
- new release

* Sun Jun 11 2017 luigiwalser <luigiwalser> 0.3.11-2.mga6
+ Revision: 1107570
- add patch from debian to fix CVE-2017-9433

* Sun Apr 09 2017 luigiwalser <luigiwalser> 0.3.11-1.mga6
+ Revision: 1096211
- 0.3.11

* Sun Feb 05 2017 luigiwalser <luigiwalser> 0.3.10-1.mga6
+ Revision: 1084872
- 0.3.10

* Thu Dec 01 2016 wally <wally> 0.3.9-2.mga6
+ Revision: 1071485
- fix lib and devel pkg names

* Wed Nov 30 2016 luigiwalser <luigiwalser> 0.3.9-1.mga6
+ Revision: 1071286
- 0.3.9

* Mon Sep 19 2016 tv <tv> 0.3.8-3.mga6
+ Revision: 1054313
- use --with-sharedptr=c++11
- use %%license
- fix lib pkg description
- fix lib pkg summary
- drop dependency on boost

* Thu Aug 11 2016 luigiwalser <luigiwalser> 0.3.8-1.mga6
+ Revision: 1045518
- 0.3.8

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.3.7-1.mga6
+ Revision: 917781
- 0.3.7

* Fri Dec 25 2015 tv <tv> 0.3.6-2.mga6
+ Revision: 914722
- rebuild for new boost 1.60

* Thu Sep 24 2015 tv <tv> 0.3.6-1.mga6
+ Revision: 883226
- new release

* Wed Aug 26 2015 tv <tv> 0.3.5-2.mga6
+ Revision: 869856
- rebuild with gcc5

* Sun Jun 21 2015 tv <tv> 0.3.5-1.mga6
+ Revision: 837882
- new release
- new release

* Sun Feb 01 2015 tv <tv> 0.3.4-3.mga5
+ Revision: 812974
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.3.4-2.mga5
+ Revision: 812834
+ rebuild (emptylog)

* Sat Jan 24 2015 tv <tv> 0.3.4-1.mga5
+ Revision: 812105
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-4.mga5
+ Revision: 748725
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.2-3.mga5
+ Revision: 726802
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-2.mga5
+ Revision: 681627
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 tv <tv> 0.3.2-1.mga5
+ Revision: 664177
- drop merged patches
- new release

* Thu Jul 31 2014 tv <tv> 0.3.1-1.mga5
+ Revision: 658681
- adjust file list
- fix install
- bump major
- fix BR
- fix build
- build w/o librevenge-stream for now
- BR librevenge
- new release

* Wed Feb 05 2014 tv <tv> 0.2.0-1.mga5
+ Revision: 583633
- bump major
- new release

* Sat Oct 19 2013 umeabot <umeabot> 0.1.11-2.mga4
+ Revision: 534941
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 tv <tv> 0.1.11-1.mga4
+ Revision: 480215
- new release

* Sat Aug 03 2013 fwang <fwang> 0.1.10-1.mga4
+ Revision: 462852
- use configure2_5x
- new version 0.1.10

* Sat May 25 2013 tv <tv> 0.1.9-5.mga4
+ Revision: 426977
- fix provides

* Sat May 25 2013 tv <tv> 0.1.9-4.mga4
+ Revision: 426968
- add more devel provides
- add devel provides

* Sat May 25 2013 tv <tv> 0.1.9-2.mga4
+ Revision: 426954
- fix requires

* Sat May 25 2013 tv <tv> 0.1.9-1.mga4
+ Revision: 426949
- imported package libmwaw

